Request Account Statement

With this endpoint, you can request a Monthly Account Statement report (MAS) for a specific account_id.

📘

Webhook

The webhook payload contains an event labelled “MONTHLY_STATEMENT” and will include a download URL. Use this URL along with your Merge API key to fetch the MAS report. Note that the URL is valid only for a limited time—please refer to the “expires_at” field for its expiration details.


{
    "account_id": "e52bd5b2-1eae-4ea5-8ff1-ad787c2aa3e6",
    "currency": "GBP",
    "download_url": "https://api-sandbox.merge.money/v1/document/ae67a1c0-f99f-11ef-b2fa-66d746cdc5e4/data",
    "event": "MONTHLY_STATEMENT",
    "expires_at": "2025-03-10T08:56:09.291+00:00",
    "month": "JAN",
    "request_id": "3dde20b0-67c8-4527-8dc1-35daab542684",
    "requested_at": "2025-03-05T08:56:08.640+00:00",
    "year": "2025"
}
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

With this endpoint, you can request a Monthly Account Statement report (MAS) for a specific account_id.

📘

Webhook

The webhook payload contains an event labelled “MONTHLY_STATEMENT” and will include a download URL. Use this URL along with your Merge API key to fetch the MAS report. Note that the URL is valid only for a limited time—please refer to the “expires_at” field for its expiration details.


{
    "account_id": "e52bd5b2-1eae-4ea5-8ff1-ad787c2aa3e6",
    "currency": "GBP",
    "download_url": "https://api-sandbox.merge.money/v1/document/ae67a1c0-f99f-11ef-b2fa-66d746cdc5e4/data",
    "event": "MONTHLY_STATEMENT",
    "expires_at": "2025-03-10T08:56:09.291+00:00",
    "month": "JAN",
    "request_id": "3dde20b0-67c8-4527-8dc1-35daab542684",
    "requested_at": "2025-03-05T08:56:08.640+00:00",
    "year": "2025"
}
Path Params
string
required

The unique identifier (UUID) of the account.

Body Params
string
required

The year to be considered for the MAS in the YYYY format.

string
enum
required

The month to be considered for the MAS.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json